/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: block;
  width: 100%;
}

.filters--searchbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 1em;
  width: 100%;
}

.filters--searchbar--text {
  margin-right: 0.5em;
  min-width: 2.9em;
}

.filters--searchbar--input {
  flex: 1;
  max-width: 42.85em;
}

.filters {
  display: flex;
  flex-direction: row;
}

.filters--row {
  display: inline-flex;
  align-items: center;
  box-sizing: border-box;
  flex-wrap: wrap;
}

.filters--btn {
  min-width: 6em;
  font-size: small;
  border-color: get-color($openk-info-palette, 500);
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.filters--btn---margin {
  margin-right: 0.5em;
}

.filters--type-select-width {
  width: 12.5em;
}

.filters--finished-select-width {
  width: 8em;
}

.filters--select--input-width {
  width: 100%;
}

.filters--date-selects {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.filters--date-selects--block {
  display: flex;
  flex-direction: column;

  :first-child {
    margin-bottom: 0.2em;
  }
}

.openk-button-rounded {
  font-size: 1.5em;
  border: 0;
  color: get-color($openk-info-palette);
  margin-right: 0.25em;
  min-width: 2em;

  &:not(.openk-info) {
    background-color: transparent;
  }

  &:not(.openk-info):active,
  &:not(.openk-info):focus,
  &:not(.openk-info):hover {
    background-color: $openk-background-highlight;
  }
}

.openk-chip {
  height: 2em;
}

.filter-group {
  background-color: $openk-background-highlight;
  padding: 0.3em;
  border-radius: 6px;
  border: 1px solid $openk-form-border;
  display: inline-flex;
  align-items: center;
  box-sizing: border-box;
  height: 100%;
  margin-right: 0.5em;
}

.filter-group---stacked {
  height: initial;
  margin-bottom: 0.5em;
}

.all-filters {
  display: flex;
  flex-direction: column;

}
